[Homescreen] All icons on homescreen can't be shown, after user selected "New Home Screen" or "Default Home Screen" .

RESOLVED FIXED

Status

RESOLVED FIXED
3 years ago
3 years ago

People

(Reporter: songxinjiang, Assigned: etienne)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 disabled, b2g-v2.5 affected, b2g-master verified)

Details

(Whiteboard: [2.5-aries-test-run-3])

Attachments

(5 attachments)

(Reporter)

Description

3 years ago
Created attachment 8671828 [details]
Aries_v2.5.3gp

[1.Description]:
[Flame KK_v2.5][Aries KK_v2.5][Homescreen] Can't show all icons on homescreen, after user long taps homescreen and sets to another homescreen ("New Home Screen" or "Default Home Screen" ), all icons on homescreen can't be shown.
Time: 05:29
See attachments: logcat_0529.txt and Aries_v2.5.3gp.

[2.Testing Steps]: 
1.Long tap Homescreen;
2.Tap  "New Home Screen"->"New Home Screen";
3.Observe or tap on the interface.

[3.Expected Result]: 
2.Can display the Homescreen icons normally.

[4.Actual Result]: 
2.Can't show all homescreen icons until user long taps Home button to enter task manager.

[5.Reproduction build]: 
Device: Aries KK 2.5 (Affected)
Build ID               20151008233852
Gaia Revision          e698df503ff700eb5782e3d50c6eb753567d3451
Gaia Date              2015-10-08 17:26:52
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/23b7f289df923c01e692299fcd4be7029de8b155
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151008.225742
Firmware Date          Thu Oct  8 22:57:51 UTC 2015
Bootloader             s1

Device: Flame KK 2.5 (Affected)
Build ID               20151008150210
Gaia Revision          e698df503ff700eb5782e3d50c6eb753567d3451
Gaia Date              2015-10-08 17:26:52
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e5f1bc63ad52d0eb86f7fb838226ca6036774660
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151008.182756
Firmware Date          Thu Oct  8 18:28:08 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test 

[8.Note]:
1. On Flame v2.5 and Aries v2.5, when you go to Settings -> Homescreens and set as New Homescreen, this bug does not exist.
2.On Flame v2.2, there is no "New Home Screen" and "Default Home Screen".
(Reporter)

Comment 1

3 years ago
Created attachment 8671830 [details]
logcat_0551.txt
(Reporter)

Updated

3 years ago
status-b2g-v2.2: --- → disabled
status-b2g-master: --- → affected

Comment 2

3 years ago
Sounds like another manifestation of bug 1212257... Need a Settings dev to take a look at this. May be a System issue.
Component: Gaia::Homescreen → Gaia::Settings

Updated

3 years ago
Blocks: 994858
The build used to test is 20151008233852 ie 10/08/2015

Testing with today's build, I can't reproduce this issue.
Can you retry on the latest build please?
Flags: needinfo?(songxinjiang)
Comment hidden (obsolete)
(Reporter)

Comment 5

3 years ago
Created attachment 8682328 [details]
repro_Aries KK_v2.6.3gp
(Reporter)

Comment 6

3 years ago
Hi Naoki,
  This bug can be repro with NEW STR on latest build. There is a slight difference between STR on comment 0 and NEW STR below:
Premise:Open setting->Home Screens->Change Home Screen,Is set to  "Legacy Home Screen".
Testing Steps:
1.Long tap Homescreen;
2.Tap "Homescreen settings"->"Default Home Screen";
3.Observe or tap on the interface.

Actual results: All icons on homescreen can't be shown, after the "Legacy Home Screen" to modify as the "Default Home Screen".
See attachment: repro_Aries KK_v2.6.3gp.
Reproduce rate: 10/10.

Device: Aries KK 2.6(affected)
Build ID               20151103000930
Gaia Revision          7954ff0cbd794a35499a1082bed273598f82ee6f
Gaia Date              2015-11-02 17:35:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/9f69202d82752e093a653a8f15b0274e347db33a
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151102.233051
Firmware Date          Mon Nov  2 23:30:58 UTC 2015
Bootloader             s1

Device: Flame KK 2.6(affected)
Build ID               20151102150204
Gaia Revision          7954ff0cbd794a35499a1082bed273598f82ee6f
Gaia Date              2015-11-02 17:35:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/6275cd9c71b76891f6b6585dabc687bc443ab877
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151102.182914
Firmware Date          Mon Nov  2 18:29:28 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK 2.5(affected)
Build ID               20151102004502
Gaia Revision          91cac94948094cfdcd00cba5c6483e27e80cb3b0
Gaia Date              2015-10-28 20:32:15
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/b6b410d4610da18f5e43750e67ed2c56a0c0f812
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151102.042848
Firmware Date          Mon Nov  2 04:29:02 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
Flags: needinfo?(nhirata.bugzilla)
(Reporter)

Updated

3 years ago
Flags: needinfo?(nhirata.bugzilla)
The screen isn't refreshing, having said that, if you tap the icons are there.  I think it's something with the switch to the new homescreen that doesn't have the refresh in it?  Chris, can you take a look?
Flags: needinfo?(nhirata.bugzilla) → needinfo?(chrislord.net)

Comment 8

3 years ago
(In reply to Naoki Hirata :nhirata (please use needinfo instead of cc) from comment #7)
> The screen isn't refreshing, having said that, if you tap the icons are
> there.  I think it's something with the switch to the new homescreen that
> doesn't have the refresh in it?  Chris, can you take a look?

Going on this, sounds like a system bug. Maybe triggered by the foreground app being a web activity handler?

n?etienne to see who'd best handle this. I could take a look, but I don't really know this part of system (and I have other bugs I need to get to as well).
Component: Gaia::Settings → Gaia::System::Window Mgmt
Flags: needinfo?(chrislord.net) → needinfo?(etienne)
Are we sure it is not just bug 1211266 ?
(In reply to Alexandre LISSY :gerard-majax from comment #9)
> Are we sure it is not just bug 1211266 ?

No, this is the entire app being missing - I'm guessing there's a missing setVisible call somewhere in system, or some kind of race-condition/conflict when switching the home-screen in this way, perhaps.
(Assignee)

Comment 11

3 years ago
Yep, definitely something wrong on the WindowManager side.
Only reproducible when changing homescreen from the legacy one which opens an inline activity do to it.
Assignee: nobody → etienne
Flags: needinfo?(etienne)
Created attachment 8687944 [details] [review]
[gaia] etiennesegonzac:bug-1213233 > mozilla-b2g:master
(Assignee)

Updated

3 years ago
Attachment #8687944 - Flags: review?(apastor)
Comment on attachment 8687944 [details] [review]
[gaia] etiennesegonzac:bug-1213233 > mozilla-b2g:master

Alberto is on PTO until Thursday - if my r+ is appropriate enough, you have it :)
Attachment #8687944 - Flags: review+
(Assignee)

Comment 14

3 years ago
Comment on attachment 8687944 [details] [review]
[gaia] etiennesegonzac:bug-1213233 > mozilla-b2g:master

totally
Attachment #8687944 - Flags: review?(apastor)
(Assignee)

Comment 15

3 years ago
https://github.com/mozilla-b2g/gaia/commit/624d6750724a851d9a863b6d51a52b6bef6778d8
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
This bug has been verified as "pass" on the latest build of Flame KK 2.6 and Aires KK 2.6 by the STR in comment 0.

Actual results: Long tapping homescreen and selecting Homescreen settings, then changing the homescreen, all icons on homescreen shows normally.
See attachment: verified_Flame_v2.6.3gp
Reproduce rate: 0/10


Device: Flame KK v2.6 512mb (master)(Pass)
Build ID               20151118150206
Gaia Revision          cba7e4b86361af31b153cfebaf99900e0b860f7b
Gaia Date              2015-11-18 09:45:49
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1d6155d7e6c91fa5ec1ef6927f3d3a044187896d
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151118.184005
Firmware Date          Wed Nov 18 18:40:17 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Aries KK 2.6 (master)(Pass)
Build ID               20151118150439
Gaia Revision          cba7e4b86361af31b153cfebaf99900e0b860f7b
Gaia Date              2015-11-18 09:45:49
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1d6155d7e6c91fa5ec1ef6927f3d3a044187896d
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151118.142334
Firmware Date          Wed Nov 18 14:23:42 UTC 2015
Bootloader             s1
status-b2g-master: affected → verified
Created attachment 8689300 [details]
verified_Flame_v2.6.3gp
You need to log in before you can comment on or make changes to this bug.